Bug 22493 - DecreaseLoanHighHolds.t creates some items/patrons with set values
Summary: DecreaseLoanHighHolds.t creates some items/patrons with set values
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-11 14:46 UTC by Nick Clemens
Modified: 2019-03-19 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22493: Clean up DecreaseLoanHighHolds.t (3.41 KB, patch)
2019-03-11 14:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22493: Clean up DecreaseLoanHighHolds.t (3.46 KB, patch)
2019-03-11 17:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22493: Clean up DecreaseLoanHighHolds.t (3.52 KB, patch)
2019-03-12 13:07 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-03-11 14:46:26 UTC
We have been getting some random failures here.  We are setting some barcodes and cardnumbers by hand as well as deleting lots of data. We should clean this up to see if it helps.
Comment 1 Nick Clemens 2019-03-11 14:48:22 UTC
Created attachment 86461 [details] [review]
Bug 22493: Clean up DecreaseLoanHighHolds.t

To test:

1 - prove -v t/db_dependent/DecreaseLoanHighHolds.t
2 - should pass
3 - read code, confirm changes make sense
Comment 2 Tomás Cohen Arazi 2019-03-11 17:29:41 UTC
Created attachment 86476 [details] [review]
Bug 22493: Clean up DecreaseLoanHighHolds.t

To test:

1 - prove -v t/db_dependent/DecreaseLoanHighHolds.t
2 - should pass
3 - read code, confirm changes make sense

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Martin Renvoize 2019-03-12 13:07:24 UTC
Created attachment 86527 [details] [review]
Bug 22493: Clean up DecreaseLoanHighHolds.t

To test:

1 - prove -v t/db_dependent/DecreaseLoanHighHolds.t
2 - should pass
3 - read code, confirm changes make sense

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-03-12 13:07:50 UTC
Eminently sane, Passing QA
Comment 5 Nick Clemens 2019-03-15 12:50:11 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-03-19 09:53:34 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-19 23:23:05 UTC
can't prove t/db_dependent/DecreaseLoanHighHolds.t in 18.05.x

1..17
ok 1 - userenv set
Can't locate object method "build_sample_biblio" via package "t::lib::TestBuilder" at t/db_dependent/DecreaseLoanHighHolds.t line 74.
# Looks like your test exited with 255 just after 1.
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 16/17 subtests

Test Summary Report
-------------------
t/db_dependent/DecreaseLoanHighHolds.t (Wstat: 65280 Tests: 1 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 17 tests but ran 1.
Files=1, Tests=1,  1 wallclock secs ( 0.02 usr  0.00 sys +  1.18 cusr  0.16 csys =  1.36 CPU)
Result: FAIL


not backporting to 18.05.x